Subject: bug#78690: 31.0.50; split string: args out of range with TRIM

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Jun 2025 14:05:31 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 12 Jun 2025 10:42:42 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks.  I guess I've found something similar independently, because
> > the changes I have stashed (reproduced below) don't signal an error in
> > this case.  With those changes, I get what I think is the expected
> > value
> >
> >   ("" "lexical-binding: t;" "")
> 
> > Here's the up-to-date version of the patch:
> > [...]
> 
> Confirmed - works for me, thank you.

Thanks, will install soon.

> BTW, I tried to follow the code and find it a bit troublesome.  If you
> would want to try to give some local variables a bit more meaningful
> names where possible, or want to add some very short comments, I would
> not be opposed to that.

If you tell me what is confusing or unclear, I will try to clarify
that.  I guess after staring at the code as much as I did, I've lost
the ability to see the confusing parts, beyond the comments I added
that you saw in the patch.